#!/bin/bash

# set default locations
XVST_BIN_DIR='xVideoServiceThief'
XVST_CONF_DIR='.xVideoServiceThief'

# change to script directory
cd `dirname "$0"` 

echo ""
echo "-------------------"
echo "xVST Install script"
echo "-------------------"
echo ""

echo "xVST will be installed to: '$HOME/$XVST_BIN_DIR'"
echo ""

# copy xVST bin file
echo "Installing xVST"
rm -r $HOME/$XVST_BIN_DIR/
cp -r xVST/xvst/ $HOME/$XVST_BIN_DIR/

#copy xVST files (xUpdater, plugins, languages...)
echo "Installing xVST files (xUpdater, plugins, languages...)"

# check if a previous version of xVST is installed
if [ -d $HOME/$XVST_CONF_DIR ]; then
	echo "Previous version of xVST detected... removing old files..."	
	rm -r $HOME/$XVST_CONF_DIR
fi

cp -rf xVST/files $HOME/$XVST_CONF_DIR/

echo ""
echo "-------------------------------------------------"
echo "xVST has been installed on your system! Enjoy it!"
echo "Visit us at: wwww.xviservicethief.sourceforge.net"
echo "-------------------------------------------------"
echo ""
